> For the complete documentation index, see [llms.txt](https://docs.playground.ooo/degen-engine/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.playground.ooo/degen-engine/guides/trait-templates/get-started-with-a-pre-made-trait-template/achievement-badges.md).

# Achievement Badges

When NFT holders accomplish achievements that are relevant and important to your brand, reward them with **Achievement Badges** to easily record and showcase their accomplishments.

This enables users to express their unique identities and experiences within the universal digital asset ecosystem, with badges rendering on top of other traits for greater visibility.&#x20;

{% hint style="info" %}
NFT owners can choose whether or not the achievement badge is shown visually on the NFT art by toggling the visibility of the trait on or off. When toggled off, the achievement is still attached to the NFT in it's metadata as a non-visible trait.
{% endhint %}

**Usage Guide:**

1. Copy the Achievement Badge Trait Template provided below and save it as a JSON file.
2. Modify the `value`, `image_url`, and other fields as needed to represent the achievements relevant to your brand or collection.
3. Ensure the `render_order` value is set to a high number (e.g., 50) to allow the Achievement Badge to be displayed on top of other traits when multiple traits are combined in a single NFT.
4. If you want to add more achievements, simply add more objects to the "traits" array and maintain the same `trait_type` and `render_order` values.
5. Upload the JSON file to our platform, following the instructions for submitting a Trait Template.

```json
{
    "template_name": "Achievement Badge",
    "traits": [
        {
            "value": "Community Builder",
            "trait_type": "Achievement",
            "render_order": "50",
            "image_url": "https://example.com/images/community-builder-badge.png"
        },
        {
            "value": "Early Adopter",
            "trait_type": "Achievement",
            "render_order": "50",
            "image_url": "https://example.com/images/early-adopter-badge.png"
        },
        {
            "value": "Top Contributor",
            "trait_type": "Achievement",
            "render_order": "50",
            "image_url": "https://example.com/images/top-contributor-badge.png"
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.playground.ooo/degen-engine/guides/trait-templates/get-started-with-a-pre-made-trait-template/achievement-badges.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
